---
title: Trigger a share creation
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Resource Sharing](https://developers.cloudflare.com/api/go/resources/resource_sharing)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Trigger a share creation

client.ResourceSharing.New(ctx, params) (\*[ResourceSharingNewResponse](<https://developers.cloudflare.com/api/go/resources/resource_sharing#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/shares

Creates a new resource share for sharing Cloudflare resources with other accounts or organizations.

##### Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**`X-Auth-Email: user@example.com`

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**`X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194`

##### ParametersExpand Collapse

<details>

<summary>

params ResourceSharingNewParams

</summary>

AccountID param.Field\[string]

Path param: Account identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Name param.Field\[string]

Body param: The name of the share.

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

<details>

<summary>

Recipients param.Field\[\[]ResourceSharingNewParamsRecipient]

Body param

</summary>

DeprecatedAccountID stringOptional

This field has been renamed to <code>recipient_account_id</code>. Both names are accepted during the deprecation period.

Deprecated alias for <code>recipient_account_id</code>. Use <code>recipient_account_id</code> instead. The body field collided with the URL path parameter of the same name, which prevented SDK generators from distinguishing the source account (in the URL) from the recipient account (in the body). Both names will continue to be accepted until 2027-05-26 (see <code>x-sunset</code>).

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20recipients%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20account_id">Link to this property</a>

OrganizationID stringOptional

Organization identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20recipients%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20organization_id">Link to this property</a>

RecipientAccountID stringOptional

The account that will receive the share.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20recipients%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20recipient_account_id">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20recipients">Link to this property</a>

<details>

<summary>

Resources param.Field\[\[]ResourceSharingNewParamsResource]

Body param

</summary>

Meta unknown

Resource Metadata.

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20resources%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20meta">Link to this property</a>

ResourceAccountID string

Account identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20resources%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20resource_account_id">Link to this property</a>

ResourceID string

Share Resource identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20resources%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20resource_id">Link to this property</a>

<details>

<summary>

ResourceType ResourceSharingNewParamsResourcesResourceType

Resource Type.

</summary>

One of the following:

const ResourceSharingNewParamsResourcesResourceTypeCustomRuleset ResourceSharingNewParamsResourcesResourceType = "custom-ruleset"

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20resources%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%200">Link to this property</a>

const ResourceSharingNewParamsResourcesResourceTypeGatewayPolicy ResourceSharingNewParamsResourcesResourceType = "gateway-policy"

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20resources%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%201">Link to this property</a>

const ResourceSharingNewParamsResourcesResourceTypeGatewayDestinationIP ResourceSharingNewParamsResourcesResourceType = "gateway-destination-ip"

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20resources%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%202">Link to this property</a>

const ResourceSharingNewParamsResourcesResourceTypeGatewayBlockPageSettings ResourceSharingNewParamsResourcesResourceType = "gateway-block-page-settings"

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20resources%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%203">Link to this property</a>

const ResourceSharingNewParamsResourcesResourceTypeGatewayExtendedEmailMatching ResourceSharingNewParamsResourcesResourceType = "gateway-extended-email-matching"

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20resources%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%204">Link to this property</a>

const ResourceSharingNewParamsResourcesResourceTypeIdPFederationGrant ResourceSharingNewParamsResourcesResourceType = "idp-federation-grant"

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20resources%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%205">Link to this property</a>

const ResourceSharingNewParamsResourcesResourceTypeTrustGrant ResourceSharingNewParamsResourcesResourceType = "trust-grant"

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20resources%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%206">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20resources%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20resource_type">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20resources">Link to this property</a>

</details>

[Link to this property](<#(resource)%20resource_sharing%20%3E%20(method)%20create%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type ResourceSharingNewResponse struct{…}

</summary>

ID string

Share identifier tag.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

AccountID string

Account identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20account_id">Link to this property</a>

AccountName string

The display name of an account.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20account_name">Link to this property</a>

Created Time

When the share was created.

formatdate-time

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

Modified Time

When the share was modified.

formatdate-time

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20modified">Link to this property</a>

Name string

The name of the share.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

OrganizationID string

Organization identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20organization_id">Link to this property</a>

<details>

<summary>

Status ResourceSharingNewResponseStatus

</summary>

One of the following:

const ResourceSharingNewResponseStatusActive ResourceSharingNewResponseStatus = "active"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

const ResourceSharingNewResponseStatusDeleting ResourceSharingNewResponseStatus = "deleting"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

const ResourceSharingNewResponseStatusDeleted ResourceSharingNewResponseStatus = "deleted"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

<details>

<summary>

TargetType ResourceSharingNewResponseTargetType

</summary>

One of the following:

const ResourceSharingNewResponseTargetTypeAccount ResourceSharingNewResponseTargetType = "account"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20target_type%20%3E%20(member)%200">Link to this property</a>

const ResourceSharingNewResponseTargetTypeOrganization ResourceSharingNewResponseTargetType = "organization"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20target_type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20target_type">Link to this property</a>

AssociatedRecipientCount int64Optional

The number of recipients in the ‘associated’ state. This field is only included when requested via the ‘include\_recipient\_counts’ parameter.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20associated_recipient_count">Link to this property</a>

AssociatingRecipientCount int64Optional

The number of recipients in the ‘associating’ state. This field is only included when requested via the ‘include\_recipient\_counts’ parameter.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20associating_recipient_count">Link to this property</a>

DisassociatedRecipientCount int64Optional

The number of recipients in the ‘disassociated’ state. This field is only included when requested via the ‘include\_recipient\_counts’ parameter.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20disassociated_recipient_count">Link to this property</a>

DisassociatingRecipientCount int64Optional

The number of recipients in the ‘disassociating’ state. This field is only included when requested via the ‘include\_recipient\_counts’ parameter.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20disassociating_recipient_count">Link to this property</a>

<details>

<summary>

Kind ResourceSharingNewResponseKindOptional

</summary>

One of the following:

const ResourceSharingNewResponseKindSent ResourceSharingNewResponseKind = "sent"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20kind%20%3E%20(member)%200">Link to this property</a>

const ResourceSharingNewResponseKindReceived ResourceSharingNewResponseKind = "received"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20kind%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20kind">Link to this property</a>

<details>

<summary>

Resources \[]ResourceSharingNewResponseResourceOptional

A list of resources that are part of the share. This field is only included when requested via the ‘include\_resources’ parameter.

</summary>

ID string

Share Resource identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

Created Time

When the share was created.

formatdate-time

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20created">Link to this property</a>

Meta unknown

Resource Metadata.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20meta">Link to this property</a>

Modified Time

When the share was modified.

formatdate-time

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20modified">Link to this property</a>

ResourceAccountID string

Account identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_account_id">Link to this property</a>

ResourceID string

Share Resource identifier.

maxLength32

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_id">Link to this property</a>

<details>

<summary>

ResourceType ResourceSharingNewResponseResourcesResourceType

Resource Type.

</summary>

One of the following:

const ResourceSharingNewResponseResourcesResourceTypeCustomRuleset ResourceSharingNewResponseResourcesResourceType = "custom-ruleset"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%200">Link to this property</a>

const ResourceSharingNewResponseResourcesResourceTypeGatewayPolicy ResourceSharingNewResponseResourcesResourceType = "gateway-policy"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%201">Link to this property</a>

const ResourceSharingNewResponseResourcesResourceTypeGatewayDestinationIP ResourceSharingNewResponseResourcesResourceType = "gateway-destination-ip"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%202">Link to this property</a>

const ResourceSharingNewResponseResourcesResourceTypeGatewayBlockPageSettings ResourceSharingNewResponseResourcesResourceType = "gateway-block-page-settings"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%203">Link to this property</a>

const ResourceSharingNewResponseResourcesResourceTypeGatewayExtendedEmailMatching ResourceSharingNewResponseResourcesResourceType = "gateway-extended-email-matching"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%204">Link to this property</a>

const ResourceSharingNewResponseResourcesResourceTypeIdPFederationGrant ResourceSharingNewResponseResourcesResourceType = "idp-federation-grant"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%205">Link to this property</a>

const ResourceSharingNewResponseResourcesResourceTypeTrustGrant ResourceSharingNewResponseResourcesResourceType = "trust-grant"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type%20%3E%20(member)%206">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_type">Link to this property</a>

ResourceVersion int64

Resource Version.

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20resource_version">Link to this property</a>

<details>

<summary>

Status ResourceSharingNewResponseResourcesStatus

Resource Status.

</summary>

One of the following:

const ResourceSharingNewResponseResourcesStatusActive ResourceSharingNewResponseResourcesStatus = "active"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

const ResourceSharingNewResponseResourcesStatusDeleting ResourceSharingNewResponseResourcesStatus = "deleting"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

const ResourceSharingNewResponseResourcesStatusDeleted ResourceSharingNewResponseResourcesStatus = "deleted"

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources%20%3E%20(items)%20%3E%20(property)%20status">Link to this property</a>

</details>

<a href="#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)%20%3E%20(property)%20resources">Link to this property</a>

</details>

[Link to this property](<#(resource)%20resource_sharing%20%3E%20(model)%20ResourceSharingNewResponse%20%3E%20(schema)>)

### Trigger a share creation

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/resource_sharing"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  resourceSharing, err := client.ResourceSharing.New(context.TODO(), resource_sharing.ResourceSharingNewParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Name: cloudflare.F("My Shared WAF Managed Rule"),
    Recipients: cloudflare.F([]resource_sharing.ResourceSharingNewParamsRecipient{resource_sharing.ResourceSharingNewParamsRecipient{

    }}),
    Resources: cloudflare.F([]resource_sharing.ResourceSharingNewParamsResource{resource_sharing.ResourceSharingNewParamsResource{
      Meta: cloudflare.F[any](map[string]interface{}{
      }),
      ResourceAccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
      ResourceID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
      ResourceType: cloudflare.F(resource_sharing.ResourceSharingNewParamsResourcesResourceTypeCustomRuleset),
    }}),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", resourceSharing.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "3fd85f74b32742f1bff64a85009dda07",
    "account_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "account_name": "Account A",
    "created": "2023-09-21T18:56:32.624632Z",
    "modified": "2023-09-21T18:56:32.624632Z",
    "name": "My Shared WAF Managed Rule",
    "organization_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "status": "active",
    "target_type": "account",
    "associated_recipient_count": 10,
    "associating_recipient_count": 1,
    "disassociated_recipient_count": 0,
    "disassociating_recipient_count": 0,
    "kind": "sent",
    "resources": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "created": "2023-09-21T18:56:32.624632Z",
        "meta": {},
        "modified": "2023-09-21T18:56:32.624632Z",
        "resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_type": "custom-ruleset",
        "resource_version": 0,
        "status": "active"
      }
    ]
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "3fd85f74b32742f1bff64a85009dda07",
    "account_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "account_name": "Account A",
    "created": "2023-09-21T18:56:32.624632Z",
    "modified": "2023-09-21T18:56:32.624632Z",
    "name": "My Shared WAF Managed Rule",
    "organization_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "status": "active",
    "target_type": "account",
    "associated_recipient_count": 10,
    "associating_recipient_count": 1,
    "disassociated_recipient_count": 0,
    "disassociating_recipient_count": 0,
    "kind": "sent",
    "resources": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "created": "2023-09-21T18:56:32.624632Z",
        "meta": {},
        "modified": "2023-09-21T18:56:32.624632Z",
        "resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_type": "custom-ruleset",
        "resource_version": 0,
        "status": "active"
      }
    ]
  }
}
```